Package org.eclipse.core.databinding.bind.steps

# Class ListCommonSteps

java.lang.Object
org.eclipse.core.databinding.bind.steps.ListCommonSteps

public final class ListCommonSteps extends Object
Contains `Step` interfaces for the fluent databinding API common for one-way and two-way `IObservableList` bindings. Each of these interfaces define the operations that are allowed in a particular pipeline step.

Since:
  1.11

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`ListCommonSteps.ListFromStep`
Step for setting the from-end observable.
`static interface`
`ListCommonSteps.ListReadConfigStep<F,T,THIS extends ListCommonSteps.ListReadConfigStep<F,T,THIS>>`
A config step for the end of a binding where data is read.
`static interface`
`ListCommonSteps.ListToStep<F,T>`
Step for setting the to-end observable.
`static interface`
`ListCommonSteps.ListUntypedTo<F>`
Step for converting between from- and to-types.
`static interface`
`ListCommonSteps.ListWriteConfigStep<F,T,THIS extends ListCommonSteps.ListWriteConfigStep<F,T,THIS>>`
Step for configuring the end of a binding where data is written.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`